<template>
    <Layout>
        <PageHeaderWithImage>
            <template v-slot:title>Malt Product & Engineering</template>
            <template v-slot:subtitle>
                Malt product is a diverse team of product managers, product designers, engineers and more.
                <br />
                Together, we build the experiences that shape the future of work.
            </template>
        </PageHeaderWithImage>

        <ContentWithImage video="https://www.youtube.com/embed/lfPGZsEznU8">
            <template v-slot:title>Our mission: Create a world where everyone is free to choose the best people to work with.</template>
            <template v-slot:description>
                At Malt, we believe in a world where success is powered by the combination of the right people, the right team, and the right
                projects. We have created a new work order by building the fastest-growing freelancing marketplace, connecting freelancers with
                companies ready to take their projects to the next level. We make the administrative, legal, and payment processes for freelancers
                simple and secure – and we put them all in one place to help freelancers focus on what matters most to them: growing their businesses
                in a meaningful way.
            </template>
        </ContentWithImage>

        <section class="container px-5 py-12 mx-auto mb-12">
            <div class="-m-4 text-center">
                <h3 class="text-4xl text-smalt-blue-700 font-bold mb-8">Our stack</h3>

                <div class="flex flex-wrap gap-8 justify-center">
                    <div
                        v-for="techno in stack"
                        :key="techno.techno"
                        class="flex flex-col p-3 rounded-md transform transition duration-200 hover:scale-110 hover:shadow-md"
                    >
                        <div class="h-24 w-24">
                            <g-image class="h-full w-full" :src="require(`!!assets-loader!@images/logos/${techno.logo}.png`)" :alt="techno.techno" />
                        </div>
                        <div class="mt-3">{{ techno.techno }}</div>
                    </div>
                </div>
            </div>
        </section>
    </Layout>
</template>

<script>
    import PageHeaderWithImage from '~/components/PageHeaderWithImage';
    import ContentWithImage from '~/components/ContentWithImage';

    export default {
        metaInfo() {
            return this.$seo({
                title: 'Malt.engineering - About',
                description: 'Our mission: Create a world where everyone is free to choose the best people to work with.',
            });
        },
        data() {
            // Important, if you want to add a logo, use Stackshare.io to get the logo. They are all the same size !

            return {
                stack: [
                    { techno: 'BigQuery', side: 'data', logo: 'bigquery' },
                    { techno: 'Docker', side: 'ops', logo: 'docker' },
                    { techno: 'Elastic', side: 'backend', logo: 'elasticsearch' },
                    { techno: 'Figma', side: 'design', logo: 'figma' },
                    { techno: 'GKE', side: 'ops', logo: 'gks' },
                    { techno: 'Gulp', side: 'frontend', logo: 'gulp' },
                    { techno: 'Java', side: 'backend', logo: 'java' },
                    { techno: 'Javascript', side: 'frontend', logo: 'javascript' },
                    { techno: 'Kotlin', side: 'backend', logo: 'kotlin' },
                    { techno: 'Kubernetes', side: 'ops', logo: 'kubernetes' },
                    { techno: 'MongoDB', side: 'backend', logo: 'mongodb' },
                    { techno: 'pnpm', side: 'frontend', logo: 'pnpm' },
                    { techno: 'PostgreSQL', side: 'backend', logo: 'postgresql' },
                    { techno: 'Python', side: 'data', logo: 'python' },
                    { techno: 'RabbitMQ', side: 'backend', logo: 'rabbitmq' },
                    { techno: 'Redis', side: 'backend', logo: 'redis' },
                    { techno: 'Scala', side: 'data', logo: 'scala' },
                    { techno: 'Spark', side: 'data', logo: 'spark' },
                    { techno: 'Spring boot', side: 'backend', logo: 'spring' },
                    { techno: 'Stencil', side: 'frontend', logo: 'stencil' },
                    { techno: 'Typescript', side: 'frontend', logo: 'typescript' },
                    { techno: 'Vue.js', side: 'frontend', logo: 'vue' },
                    { techno: 'Webpack', side: 'frontend', logo: 'webpack' },
                    { techno: 'Terraform', side: 'ops', logo: 'terraform' },
                    // { techno: 'Kotlin', side: 'mobile', logo: 'kotlin'},
                    { techno: 'Swift', side: 'mobile', logo: 'swift' },
                ],
            };
        },
        components: {
            ContentWithImage,
            PageHeaderWithImage,
        },
    };
</script>
